The Bisect Accounting Statements object

Attributes

id string

Unique identifier for the object.

created_at string

ISO 8601 timestamp of when the object was created.

updated_at string

ISO 8601 timestamp of when the object was last updated.

from_date string
to_date string
algorithm string

Default: BFS

current_node string
current_from_date string
current_to_date string
p_l_summary number
b_s_summary number
difference number
company string
The Bisect Accounting Statements object
{
  "id": "bisect-accounting-statements_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "from_date": "2024-01-15",
  "to_date": "2024-01-15",
  "algorithm": "BFS",
  "current_node": "current_node_example",
  "current_from_date": "2024-01-15",
  "current_to_date": "2024-01-15",
  "p_l_summary": 0,
  "b_s_summary": 0,
  "difference": 0,
  "company": "Example Corp"
}
GET /api/accounts/bisect-accounting-statements/{id}

Retrieve a bisect accounting statements

Retrieves the details of an existing bisect accounting statements. Supply the unique bisect accounting statements ID that was returned from a previous request.

Path parameters

id string required

The identifier of the bisect accounting statements to retrieve.

Returns

Returns the bisect accounting statements object if a valid identifier was provided.

GET /api/accounts/bisect-accounting-statements/{id}
curl https://api.overplane.dev/api/accounts/bisect-accounting-statements/bisect-accounting-statements_abc123 \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "id": "bisect-accounting-statements_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "from_date": "2024-01-15",
  "to_date": "2024-01-15",
  "algorithm": "BFS",
  "current_node": "current_node_example",
  "current_from_date": "2024-01-15",
  "current_to_date": "2024-01-15",
  "p_l_summary": 0,
  "b_s_summary": 0,
  "difference": 0,
  "company": "Example Corp"
}
GET /api/accounts/bisect-accounting-statements

List all bisect accounting statementss

Returns a list of bisect accounting statementss. The results are sorted by creation date, with the most recently created appearing first.

Query parameters

limit integer

Maximum number of objects to return. Default: 20.

offset integer

Number of objects to skip for pagination. Default: 0.

Returns

A paginated list of bisect accounting statements objects.

GET /api/accounts/bisect-accounting-statements
curl https://api.overplane.dev/api/accounts/bisect-accounting-statements \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "data": [
    {
      "id": "bisect-accounting-statements_abc123",
      "created_at": "2024-01-15T09: 30: 00Z",
      "updated_at": "2024-01-15T09: 30: 00Z",
      "from_date": "2024-01-15",
      "to_date": "2024-01-15",
      "algorithm": "BFS",
      "current_node": "current_node_example",
      "current_from_date": "2024-01-15",
      "current_to_date": "2024-01-15",
      "p_l_summary": 0,
      "b_s_summary": 0,
      "difference": 0,
      "company": "Example Corp"
    }
  ],
  "has_more": false,
  "total": 1
}
POST /api/accounts/bisect-accounting-statements

Create a bisect accounting statements

Creates a new bisect accounting statements object.

Body parameters

from_date string
to_date string
algorithm string

Default: BFS

current_node string
current_from_date string
current_to_date string
p_l_summary number
b_s_summary number
difference number
company string

Returns

Returns the newly created bisect accounting statements object if the call succeeded.

POST /api/accounts/bisect-accounting-statements
curl https://api.overplane.dev/api/accounts/bisect-accounting-statements \
  -H "Authorization: Bearer sk_test_..." \
  -X POST \
  -H "Content-Type: application/json"
Response
{
  "id": "bisect-accounting-statements_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "from_date": "2024-01-15",
  "to_date": "2024-01-15",
  "algorithm": "BFS",
  "current_node": "current_node_example",
  "current_from_date": "2024-01-15",
  "current_to_date": "2024-01-15",
  "p_l_summary": 0,
  "b_s_summary": 0,
  "difference": 0,
  "company": "Example Corp"
}
PATCH /api/accounts/bisect-accounting-statements/{id}

Update a bisect accounting statements

Updates the specified bisect accounting statements by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the bisect accounting statements to update.

Body parameters

from_date string
to_date string
algorithm string

Default: BFS

current_node string
current_from_date string
current_to_date string
p_l_summary number
b_s_summary number
difference number
company string

Returns

Returns the updated bisect accounting statements object.

PATCH /api/accounts/bisect-accounting-statements/{id}
curl https://api.overplane.dev/api/accounts/bisect-accounting-statements/bisect-accounting-statements_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"from_date":"2024-01-15","to_date":"2024-01-15"}'
Response
{
  "id": "bisect-accounting-statements_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "from_date": "2024-01-15",
  "to_date": "2024-01-15",
  "algorithm": "BFS",
  "current_node": "current_node_example",
  "current_from_date": "2024-01-15",
  "current_to_date": "2024-01-15",
  "p_l_summary": 0,
  "b_s_summary": 0,
  "difference": 0,
  "company": "Example Corp"
}
DELETE /api/accounts/bisect-accounting-statements/{id}

Delete a bisect accounting statements

Permanently deletes a bisect accounting statements. This cannot be undone.

Path parameters

id string required

The identifier of the bisect accounting statements to delete.

Returns

Returns a confirmation that the bisect accounting statements has been deleted.

DELETE /api/accounts/bisect-accounting-statements/{id}
curl https://api.overplane.dev/api/accounts/bisect-accounting-statements/bisect-accounting-statements_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X DELETE
Response
{
  "id": "bisect-accounting-statements_abc123",
  "deleted": true
}